package com.yida.data.common.core.entity.system.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 操作日志枚举
 *
 * @author ZYJ
 * @date 2021/1/8
 */
@Getter
@AllArgsConstructor
public enum OperationLogTypeEnum {

    /**
     * 查询类型
     */
    SELECT("1", "查询"),

    /**
     * 新增类型
     */
    INSERT("2", "新增"),

    /**
     * 修改类型
     */
    UPDATE("3", "修改"),

    /**
     * 删除类型
     */
    DELETE("4", "删除"),

    /**
     * 保存类型(当新增和编辑方法为同一方法时传入)
     */
    SAVE("5", "保存(当新增和编辑方法为同一方法时传入)");

    private final String value;

    private final String name;
}
